﻿using System;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;
using CustomButton;
using Properties;

namespace PlateBeamConverter
{
	// Token: 0x02000004 RID: 4
	public class CustomPanel : UserControl
	{
		// Token: 0x0600002D RID: 45 RVA: 0x00002085 File Offset: 0x00000285
		public CustomPanel()
		{
			this.InitializeComponent();
			this.CustomButtonsBorderColor();
			this.CustomButtonsColors();
		}

		// Token: 0x0600002E RID: 46 RVA: 0x000020A5 File Offset: 0x000002A5
		private void CustomButtonsBorderColor()
		{
			this.stayOnTopButton.FlatAppearance.BorderColor = Color.FromArgb(0, 255, 255, 255);
		}

		// Token: 0x0600002F RID: 47 RVA: 0x00003A64 File Offset: 0x00001C64
		private void CustomButtonsColors()
		{
			this.stayOnTopButton.FlatAppearance.MouseDownBackColor = Color.FromArgb(0, 255, 255, 255);
			this.stayOnTopButton.FlatAppearance.MouseOverBackColor = Color.FromArgb(0, 255, 255, 255);
		}

		// Token: 0x06000030 RID: 48 RVA: 0x00003AC0 File Offset: 0x00001CC0
		private void CustomPanelLoad(object sender, EventArgs e)
		{
			Form form = base.Parent as Form;
			if (form != null)
			{
				base.Location = default(Point);
				this.Dock = DockStyle.Top;
				base.Size = new Size(base.Size.Width, 30);
				this.parentForm = form;
				string text = LocalizationTools.Localization.GetText("界面置顶");
				this.toolTipStayOnTopOn.SetToolTip(this.stayOnTopButton, text);
				this.parentForm.TopMost = true;
			}
		}

		// Token: 0x06000031 RID: 49 RVA: 0x00003B44 File Offset: 0x00001D44
		protected override void Dispose(bool disposing)
		{
			if (disposing && this.components != null)
			{
				this.components.Dispose();
			}
			base.Dispose(disposing);
		}

		// Token: 0x06000032 RID: 50 RVA: 0x00003B7C File Offset: 0x00001D7C
		private void InitializeComponent()
		{
			this.components = new Container();
			this.toolTipStayOnTopOn = new ToolTip(this.components);
			this.toolTipStayOnTopOff = new ToolTip(this.components);
			this.supportPanel = new Panel();
			this.stayOnTopButton = new CustomButton.CustomButton();
			this.supportPanel.SuspendLayout();
			base.SuspendLayout();
			this.supportPanel.BackgroundImage = Properties.Resources.Background;
			this.supportPanel.BackgroundImageLayout = ImageLayout.Stretch;
			this.supportPanel.Controls.Add(this.stayOnTopButton);
			this.supportPanel.Dock = DockStyle.Fill;
			this.supportPanel.Location = new Point(0, 0);
			this.supportPanel.Margin = new Padding(0);
			this.supportPanel.Name = "supportPanel";
			this.supportPanel.Size = new Size(371, 28);
			this.supportPanel.TabIndex = 0;
			this.stayOnTopButton.Anchor = (AnchorStyles.Top | AnchorStyles.Bottom | AnchorStyles.Right);
			this.stayOnTopButton.DownImage = null;
			this.stayOnTopButton.FlatAppearance.BorderSize = 0;
			this.stayOnTopButton.FlatStyle = FlatStyle.Flat;
			this.stayOnTopButton.HoverImage = null;
			this.stayOnTopButton.Image = Properties.Resources.TopMostOn;
			this.stayOnTopButton.Location = new Point(339, 0);
			this.stayOnTopButton.Margin = new Padding(0);
			this.stayOnTopButton.Name = "stayOnTopButton";
			this.stayOnTopButton.NormalImage = null;
			this.stayOnTopButton.Size = new Size(28, 28);
			this.stayOnTopButton.TabIndex = 0;
			this.stayOnTopButton.TextImageRelation = TextImageRelation.ImageBeforeText;
			this.stayOnTopButton.UseVisualStyleBackColor = false;
			this.stayOnTopButton.Click += new EventHandler(this.StayOnTopButtonClick);
			base.AutoScaleDimensions = new SizeF(6f, 12f);
			base.AutoScaleMode = AutoScaleMode.Font;
			this.BackColor = Color.Transparent;
			base.Controls.Add(this.supportPanel);
			base.Margin = new Padding(0);
			base.Name = "CustomPanel";
			base.Size = new Size(371, 28);
			base.Load += new EventHandler(this.CustomPanelLoad);
			this.supportPanel.ResumeLayout(false);
			base.ResumeLayout(false);
		}

		// Token: 0x06000033 RID: 51 RVA: 0x00003E00 File Offset: 0x00002000
		private void SetTopMost(bool topMost)
		{
			if (topMost)
			{
				this.parentForm.TopMost = true;
				this.stayOnTopButton.Image = Properties.Resources.TopMostOn;
			}
			else
			{
				this.parentForm.TopMost = false;
				this.stayOnTopButton.Image = Properties.Resources.TopMostOff;
			}
		}

		// Token: 0x06000034 RID: 52 RVA: 0x00003E58 File Offset: 0x00002058
		private void StayOnTopButtonClick(object sender, EventArgs e)
		{
			if (this.parentForm != null)
			{
				this.SetTopMost(!this.parentForm.TopMost);
			}
		}

		// Token: 0x04000004 RID: 4
		private IContainer components;

		// Token: 0x04000005 RID: 5
		private Form parentForm;

		// Token: 0x04000006 RID: 6
		private CustomButton.CustomButton stayOnTopButton;

		// Token: 0x04000007 RID: 7
		private Panel supportPanel;

		// Token: 0x04000008 RID: 8
		private ToolTip toolTipStayOnTopOff;

		// Token: 0x04000009 RID: 9
		private ToolTip toolTipStayOnTopOn;
	}
}
