﻿using System;
using Tekla.Structures.Model;

namespace PlateBeamConverter
{
	// Token: 0x02000009 RID: 9
	public class GetValuesFromReports
	{
		// Token: 0x06000084 RID: 132 RVA: 0x00005C4C File Offset: 0x00003E4C
		public static double GetBeamHeight(Part beam)
		{
			double result = 0.0;
			beam.GetReportProperty("PROFILE.HEIGHT", ref result);
			string empty = string.Empty;
			beam.GetReportProperty("PROFILE_TYPE", ref empty);
			string empty2 = string.Empty;
			beam.GetReportProperty("PROFILE.SUBTYPE", ref empty2);
			if (empty == "Z" && empty2 == "1Gen.BHBeam")
			{
				beam.GetReportProperty("HEIGHT", ref result);
			}
			return result;
		}

		// Token: 0x06000085 RID: 133 RVA: 0x00005CD4 File Offset: 0x00003ED4
		public static double GetBeamHeight1(Part beam)
		{
			double result = 0.0;
			beam.GetReportProperty("PROFILE.HEIGHT_1", ref result);
			return result;
		}

		// Token: 0x06000086 RID: 134 RVA: 0x00005D00 File Offset: 0x00003F00
		public static double GetBeamHeight2(Part beam)
		{
			double result = 0.0;
			beam.GetReportProperty("PROFILE.HEIGHT_2", ref result);
			return result;
		}

		// Token: 0x06000087 RID: 135 RVA: 0x00005D2C File Offset: 0x00003F2C
		public static double GetBeamHeight3(Part beam)
		{
			double result = 0.0;
			beam.GetReportProperty("PROFILE.HEIGHT_3", ref result);
			return result;
		}

		// Token: 0x06000088 RID: 136 RVA: 0x00005D58 File Offset: 0x00003F58
		public static double GetBeamHeight4(Part beam)
		{
			double result = 0.0;
			beam.GetReportProperty("PROFILE.HEIGHT_4", ref result);
			return result;
		}

		// Token: 0x06000089 RID: 137 RVA: 0x00005D84 File Offset: 0x00003F84
		public static string GetBeamPrefix(Part beam)
		{
			string empty = string.Empty;
			beam.GetReportProperty("PART_PREFIX", ref empty);
			return empty;
		}

		// Token: 0x0600008A RID: 138 RVA: 0x00005DAC File Offset: 0x00003FAC
		public static double GetBeamWidth(Part beam)
		{
			double result = 0.0;
			beam.GetReportProperty("PROFILE.WIDTH", ref result);
			string empty = string.Empty;
			beam.GetReportProperty("PROFILE_TYPE", ref empty);
			string empty2 = string.Empty;
			beam.GetReportProperty("PROFILE.SUBTYPE", ref empty2);
			if (empty == "Z" && empty2 == "1Gen.BHBeam")
			{
				beam.GetReportProperty("WIDTH", ref result);
			}
			return result;
		}

		// Token: 0x0600008B RID: 139 RVA: 0x00005E34 File Offset: 0x00004034
		public static double GetColumnLevelsBottom(Part beam)
		{
			double result = 0.0;
			beam.GetReportProperty("START_Z", ref result);
			return result;
		}

		// Token: 0x0600008C RID: 140 RVA: 0x00005E60 File Offset: 0x00004060
		public static double GetColumnLevelsTop(Part beam)
		{
			double result = 0.0;
			beam.GetReportProperty("END_Z", ref result);
			return result;
		}

		// Token: 0x0600008D RID: 141 RVA: 0x00005E8C File Offset: 0x0000408C
		public static double GetFlangePlateThickness(Part beam)
		{
			double result = 0.0;
			beam.GetReportProperty("PROFILE.PLATE_THICKNESS", ref result);
			return result;
		}

		// Token: 0x0600008E RID: 142 RVA: 0x00005EB8 File Offset: 0x000040B8
		public static double GetFlangeThickness(Part beam)
		{
			double result = 0.0;
			beam.GetReportProperty("PROFILE.FLANGE_THICKNESS", ref result);
			string empty = string.Empty;
			beam.GetReportProperty("PROFILE_TYPE", ref empty);
			string empty2 = string.Empty;
			beam.GetReportProperty("PROFILE.SUBTYPE", ref empty2);
			string empty3 = string.Empty;
			beam.GetReportProperty("PROFILE", ref empty3);
			if (empty == "Z" && empty2 == "1Gen.BHBeam")
			{
				string[] array = empty3.Split(new char[]
				{
					'*',
					'X'
				});
				result = Convert.ToDouble(array[array.Length - 1]);
			}
			return result;
		}

		// Token: 0x0600008F RID: 143 RVA: 0x00005F78 File Offset: 0x00004178
		public static double GetFlangeThickness1(Part beam)
		{
			double result = 0.0;
			beam.GetReportProperty("PROFILE.FLANGE_THICKNESS_1", ref result);
			return result;
		}

		// Token: 0x06000090 RID: 144 RVA: 0x00005FA4 File Offset: 0x000041A4
		public static double GetFlangeThickness2(Part beam)
		{
			double result = 0.0;
			beam.GetReportProperty("PROFILE.FLANGE_THICKNESS_2", ref result);
			return result;
		}

		// Token: 0x06000091 RID: 145 RVA: 0x00005FD0 File Offset: 0x000041D0
		public static double GetFlangeWidth1(Part beam)
		{
			double result = 0.0;
			beam.GetReportProperty("PROFILE.FLANGE_WIDTH_1", ref result);
			return result;
		}

		// Token: 0x06000092 RID: 146 RVA: 0x00005FFC File Offset: 0x000041FC
		public static double GetFlangeWidth2(Part beam)
		{
			double result = 0.0;
			beam.GetReportProperty("PROFILE.FLANGE_WIDTH_2", ref result);
			return result;
		}

		// Token: 0x06000093 RID: 147 RVA: 0x00006028 File Offset: 0x00004228
		public static double GetWebThickness(Part beam)
		{
			double result = 0.0;
			beam.GetReportProperty("PROFILE.WEB_THICKNESS", ref result);
			string empty = string.Empty;
			beam.GetReportProperty("PROFILE_TYPE", ref empty);
			string empty2 = string.Empty;
			beam.GetReportProperty("PROFILE.SUBTYPE", ref empty2);
			string empty3 = string.Empty;
			beam.GetReportProperty("PROFILE", ref empty3);
			if (empty == "Z" && empty2 == "1Gen.BHBeam")
			{
				string[] array = empty3.Split(new char[]
				{
					'*',
					'X'
				});
				result = Convert.ToDouble(array[array.Length - 2]);
			}
			return result;
		}
	}
}
