﻿using System;
using System.IO;
using System.Windows.Forms;
using Tekla.Structures;
using Tekla.Structures.Dialog;

namespace PlateBeamConverter
{
	// Token: 0x02000011 RID: 17
	public static class LocalizationTools
	{
		// Token: 0x060000BC RID: 188 RVA: 0x00007770 File Offset: 0x00005970
		public static string GetLocalizationFile()
		{
			string empty = string.Empty;
			LocalizationTools.LocalizationName = "PlateBeamConverter";
			TeklaStructuresSettings.GetAdvancedOption("XS_DIR", ref empty);
			string text = Path.Combine(empty, "messages\\DotAppsStrings\\" + LocalizationTools.LocalizationName + ".ail");
			if (!File.Exists(text))
			{
				text = Path.Combine(Application.StartupPath, LocalizationTools.LocalizationName + ".ail");
				if (!File.Exists(text))
				{
					text = string.Empty;
				}
			}
			return text;
		}

		// Token: 0x060000BD RID: 189 RVA: 0x000077F4 File Offset: 0x000059F4
		private static string GetShortLanguage(string inLanguage)
		{
			string result;
			switch (inLanguage)
			{
			case "ENGLISH":
				result = "enu";
				return result;
			case "DUTCH":
				result = "nld";
				return result;
			case "FRENCH":
				result = "fra";
				return result;
			case "GERMAN":
				result = "deu";
				return result;
			case "ITALIAN":
				result = "ita";
				return result;
			case "SPANISH":
				result = "esp";
				return result;
			case "JAPANESE":
				result = "jpn";
				return result;
			case "CHINESE SIMPLIFIED":
				result = "chs";
				return result;
			case "CHINESE TRADITIONAL":
				result = "cht";
				return result;
			case "CZECH":
				result = "csy";
				return result;
			case "PORTUGUESE BRAZILIAN":
				result = "ptb";
				return result;
			case "HUNGARIAN":
				result = "hun";
				return result;
			case "POLISH":
				result = "plk";
				return result;
			case "RUSSIAN":
				result = "rus";
				return result;
			}
			result = "enu";
			return result;
		}

		// Token: 0x060000BE RID: 190 RVA: 0x000079A0 File Offset: 0x00005BA0
		public static void LocalizeForm(Attributes form)
		{
			string text = Path.GetFileNameWithoutExtension(Application.ExecutablePath) + ".ail";
			TeklaStructures.Environment.LoadLocalizationFile(text);
			if (form.Text == TeklaStructures.Environment.Localization.GetText(form.Text))
			{
				string text2 = Application.StartupPath + Path.DirectorySeparatorChar + text;
				if (File.Exists(text2))
				{
					try
					{
						TeklaStructures.Environment.Localization.LoadAilFile(text2);
					}
					catch (Exception value)
					{
						Console.WriteLine(value);
					}
				}
			}
			TeklaStructures.Environment.Localization.Localize(form);
		}

		// Token: 0x17000023 RID: 35
		// (get) Token: 0x060000BF RID: 191 RVA: 0x00007A60 File Offset: 0x00005C60
		public static Localization Localization
		{
			get
			{
				if (LocalizationTools.myLocalization == null)
				{
					LocalizationTools.myLocalization = new Localization();
					string localizationFile = LocalizationTools.GetLocalizationFile();
					string empty = string.Empty;
					TeklaStructuresSettings.GetAdvancedOption("XS_LANGUAGE", ref empty);
					if (localizationFile != string.Empty && empty != string.Empty)
					{
						try
						{
							LocalizationTools.myLocalization.LoadFile(localizationFile);
							LocalizationTools.myLocalization.Language = LocalizationTools.GetShortLanguage(empty);
						}
						catch (Exception)
						{
						}
					}
				}
				if (LocalizationTools.myLocalization != null && LocalizationTools.myLocalization.Language == null)
				{
					LocalizationTools.myLocalization = new Localization();
					string localizationFile2 = LocalizationTools.GetLocalizationFile();
					string empty2 = string.Empty;
					TeklaStructuresSettings.GetAdvancedOption("XS_LANGUAGE", ref empty2);
					if (localizationFile2 != string.Empty && empty2 != string.Empty)
					{
						LocalizationTools.myLocalization.LoadFile(localizationFile2);
						LocalizationTools.myLocalization.Language = LocalizationTools.GetShortLanguage(empty2);
					}
				}
				return LocalizationTools.myLocalization;
			}
		}

		// Token: 0x17000024 RID: 36
		// (get) Token: 0x060000C0 RID: 192 RVA: 0x00007B98 File Offset: 0x00005D98
		// (set) Token: 0x060000C1 RID: 193 RVA: 0x0000225B File Offset: 0x0000045B
		public static string LocalizationName
		{
			get;
			set;
		}

		// Token: 0x04000086 RID: 134
		private static Localization myLocalization;
	}
}
