﻿using System;
using System.Collections.Generic;
using System.Globalization;

namespace PlateBeamConverter
{
	// Token: 0x0200000C RID: 12
	public class Parsers
	{
		// Token: 0x06000095 RID: 149 RVA: 0x000060E8 File Offset: 0x000042E8
		static Parsers()
		{
			NumberFormatInfo teklaNumberFormat = new NumberFormatInfo
			{
				NumberDecimalSeparator = ".",
				NumberGroupSeparator = ","
			};
			Parsers.TeklaNumberFormat = teklaNumberFormat;
			Parsers.TeklaNumberFormat.NumberDecimalSeparator = ".";
			Parsers.TeklaNumberFormat.NumberGroupSeparator = ",";
			Parsers.TeklaNumberFormat.CurrencyDecimalSeparator = ".";
			Parsers.TeklaNumberFormat.CurrencyGroupSeparator = ",";
			Parsers.TeklaNumberFormat.PercentDecimalSeparator = ".";
			Parsers.TeklaNumberFormat.PercentGroupSeparator = ",";
		}

		// Token: 0x06000096 RID: 150 RVA: 0x0000617C File Offset: 0x0000437C
		public static List<double> DistanceListToList(string text)
		{
			string[] array = text.Trim().Split(new char[]
			{
				' '
			}, StringSplitOptions.RemoveEmptyEntries);
			List<double> list = new List<double>();
			for (int i = 0; i < array.GetLength(0); i++)
			{
				if (array[i].IndexOf("*", StringComparison.Ordinal) > -1)
				{
					int num = Parsers.ParseInt(array[i].Split(new char[]
					{
						'*'
					})[0], 1);
					double item = Parsers.ParseDouble(array[i].Split(new char[]
					{
						'*'
					})[1]);
					for (int j = 0; j < num; j++)
					{
						list.Add(item);
					}
				}
				else
				{
					double num2 = Parsers.ParseDouble(array[i], -1.7976931348623157E+308);
					if (Math.Abs(num2 - -1.7976931348623157E+308) > 0.001)
					{
						list.Add(num2);
					}
				}
			}
			if (list.Count == 0)
			{
				list.Add(0.0);
			}
			return list;
		}

		// Token: 0x06000097 RID: 151 RVA: 0x000062C0 File Offset: 0x000044C0
		public static double ParseDouble(string text)
		{
			return Parsers.ParseDouble(text, 0.0);
		}

		// Token: 0x06000098 RID: 152 RVA: 0x000062E4 File Offset: 0x000044E4
		public static double ParseDouble(string text, double def)
		{
			double result;
			try
			{
				result = double.Parse(text, Parsers.TeklaNumberFormat);
			}
			catch
			{
				result = def;
			}
			return result;
		}

		// Token: 0x06000099 RID: 153 RVA: 0x0000631C File Offset: 0x0000451C
		public static int ParseInt(string text)
		{
			return Parsers.ParseInt(text, 0);
		}

		// Token: 0x0600009A RID: 154 RVA: 0x00006338 File Offset: 0x00004538
		public static int ParseInt(string text, int def)
		{
			int result;
			try
			{
				result = int.Parse(text, Parsers.TeklaNumberFormat);
			}
			catch
			{
				result = def;
			}
			return result;
		}

		// Token: 0x04000065 RID: 101
		private const string DecimalSeparator = ".";

		// Token: 0x04000066 RID: 102
		private const double Epsilon = 0.001;

		// Token: 0x04000067 RID: 103
		private const string GroupSeparator = ",";

		// Token: 0x04000068 RID: 104
		private static readonly NumberFormatInfo TeklaNumberFormat;
	}
}
