﻿using System;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;
using CustomButton;
using Properties;
using Tekla.Structures.Model;

namespace Tekla.Structures.Dialog.UIControls
{
	// Token: 0x02000008 RID: 8
	public sealed class CustomStartCancel : UserControl
	{
		// Token: 0x14000007 RID: 7
		// (add) Token: 0x06000076 RID: 118 RVA: 0x000053D0 File Offset: 0x000035D0
		// (remove) Token: 0x06000077 RID: 119 RVA: 0x0000540C File Offset: 0x0000360C
		public event EventHandler CancelButtonClick;

		// Token: 0x14000008 RID: 8
		// (add) Token: 0x06000078 RID: 120 RVA: 0x00005448 File Offset: 0x00003648
		// (remove) Token: 0x06000079 RID: 121 RVA: 0x00005484 File Offset: 0x00003684
		public event EventHandler OkButtonClick;

		// Token: 0x0600007A RID: 122 RVA: 0x00002132 File Offset: 0x00000332
		public CustomStartCancel()
		{
			this.InitializeComponent();
			this.Dock = DockStyle.Bottom;
			CustomStartCancel.Model = new Model.Model();
			this.InvisibleBorderForCustomButtons();
		}

		// Token: 0x0600007B RID: 123 RVA: 0x000054C0 File Offset: 0x000036C0
		private void CancelClicked(object sender, EventArgs e)
		{
			if (this.CancelButtonClick != null)
			{
				this.CancelButtonClick(null, null);
			}
			try
			{
				base.FindForm();
			}
			catch (Exception ex)
			{
				string text = LocalizeForm.Localization.GetText("albl_Cancel_failed");
				ErrorDialog.Show(string.Format("{0} {1}", text, "Error"), ex.Message, ErrorDialog.Severity.ERROR);
			}
		}

		// Token: 0x0600007C RID: 124 RVA: 0x0000553C File Offset: 0x0000373C
		protected override void Dispose(bool disposing)
		{
			if (disposing)
			{
				base.FindForm();
				if (this.components != null)
				{
					this.components.Dispose();
				}
			}
			base.Dispose(disposing);
		}

		// Token: 0x0600007D RID: 125 RVA: 0x00005580 File Offset: 0x00003780
		private void InitializeComponent()
		{
			this.components = new Container();
			this.buttonsToolTip = new ToolTip(this.components);
			this.generalTLP = new TableLayoutPanel();
			this.cancelButton = new CustomButton.CustomButton();
			this.okButton = new CustomButton.CustomButton();
			this.generalTLP.SuspendLayout();
			base.SuspendLayout();
			this.generalTLP.AutoSize = true;
			this.generalTLP.AutoSizeMode = AutoSizeMode.GrowAndShrink;
			this.generalTLP.BackgroundImage = PlateBeamConverter.Properties.Resources.Background;
			this.generalTLP.ColumnCount = 3;
			this.generalTLP.ColumnStyles.Add(new ColumnStyle());
			this.generalTLP.ColumnStyles.Add(new ColumnStyle(SizeType.Percent, 100f));
			this.generalTLP.ColumnStyles.Add(new ColumnStyle());
			this.generalTLP.ColumnStyles.Add(new ColumnStyle(SizeType.Absolute, 20f));
			this.generalTLP.ColumnStyles.Add(new ColumnStyle(SizeType.Absolute, 20f));
			this.generalTLP.ColumnStyles.Add(new ColumnStyle(SizeType.Absolute, 20f));
			this.generalTLP.ColumnStyles.Add(new ColumnStyle(SizeType.Absolute, 20f));
			this.generalTLP.ColumnStyles.Add(new ColumnStyle(SizeType.Absolute, 20f));
			this.generalTLP.ColumnStyles.Add(new ColumnStyle(SizeType.Absolute, 20f));
			this.generalTLP.ColumnStyles.Add(new ColumnStyle(SizeType.Absolute, 20f));
			this.generalTLP.ColumnStyles.Add(new ColumnStyle(SizeType.Absolute, 20f));
			this.generalTLP.Controls.Add(this.cancelButton, 2, 0);
			this.generalTLP.Controls.Add(this.okButton, 0, 0);
			this.generalTLP.Dock = DockStyle.Fill;
			this.generalTLP.Location = new Point(0, 0);
			this.generalTLP.Name = "generalTLP";
			this.generalTLP.RowCount = 1;
			this.generalTLP.RowStyles.Add(new RowStyle(SizeType.Percent, 100f));
			this.generalTLP.Size = new Size(207, 28);
			this.generalTLP.TabIndex = 7;
			this.cancelButton.BackColor = Color.Transparent;
			this.cancelButton.DownImage = PlateBeamConverter.Properties.Resources.CancelButtonDown;
			this.cancelButton.FlatAppearance.BorderSize = 0;
			this.cancelButton.FlatAppearance.MouseDownBackColor = Color.Transparent;
			this.cancelButton.FlatAppearance.MouseOverBackColor = Color.Transparent;
			this.cancelButton.FlatStyle = FlatStyle.Flat;
			this.cancelButton.HoverImage = PlateBeamConverter.Properties.Resources.CancelButtonHover;
			this.cancelButton.Image = PlateBeamConverter.Properties.Resources.CancelButtonNormal;
			this.cancelButton.Location = new Point(174, 0);
			this.cancelButton.Margin = new Padding(0, 0, 1, 0);
			this.cancelButton.Name = "cancelButton";
			this.cancelButton.NormalImage = null;
			this.cancelButton.Size = new Size(32, 28);
			this.cancelButton.TabIndex = 6;
			this.cancelButton.UseVisualStyleBackColor = false;
			this.cancelButton.Click += new EventHandler(this.CancelClicked);
			this.okButton.BackColor = Color.Transparent;
			this.okButton.DownImage = PlateBeamConverter.Properties.Resources.StartButtonDown;
			this.okButton.FlatAppearance.BorderSize = 0;
			this.okButton.FlatAppearance.MouseDownBackColor = Color.Transparent;
			this.okButton.FlatAppearance.MouseOverBackColor = Color.Transparent;
			this.okButton.FlatStyle = FlatStyle.Flat;
			this.okButton.HoverImage = PlateBeamConverter.Properties.Resources.StartButtonHover;
			this.okButton.Image = PlateBeamConverter.Properties.Resources.StartButtonNormal;
			this.okButton.Location = new Point(3, 0);
			this.okButton.Margin = new Padding(3, 0, 0, 0);
			this.okButton.Name = "okButton";
			this.okButton.NormalImage = null;
			this.okButton.Size = new Size(32, 28);
			this.okButton.TabIndex = 3;
			this.okButton.UseVisualStyleBackColor = false;
			this.okButton.Click += new EventHandler(this.OkClicked);
			base.AutoScaleDimensions = new SizeF(6f, 12f);
			base.AutoScaleMode = AutoScaleMode.Font;
			base.Controls.Add(this.generalTLP);
			base.Margin = new Padding(0);
			this.MaximumSize = new Size(7200, 33);
			this.MinimumSize = new Size(200, 28);
			base.Name = "CustomStartCancel";
			base.Size = new Size(207, 28);
			this.generalTLP.ResumeLayout(false);
			base.ResumeLayout(false);
			base.PerformLayout();
		}

		// Token: 0x0600007E RID: 126 RVA: 0x00005ACC File Offset: 0x00003CCC
		private void InvisibleBorderForCustomButtons()
		{
			this.okButton.FlatAppearance.BorderColor = Color.FromArgb(0, 255, 255, 255);
			this.cancelButton.FlatAppearance.BorderColor = Color.FromArgb(0, 255, 255, 255);
		}

		// Token: 0x0600007F RID: 127 RVA: 0x00005B28 File Offset: 0x00003D28
		private void LocalizeToolTips()
		{
			string text = LocalizeForm.Localization.GetText("albl_Start");
			this.buttonsToolTip.SetToolTip(this.okButton, text);
			string text2 = LocalizeForm.Localization.GetText("albl_Cancel");
			this.buttonsToolTip.SetToolTip(this.cancelButton, text2);
		}

		// Token: 0x06000080 RID: 128 RVA: 0x00005B7C File Offset: 0x00003D7C
		private void OkClicked(object sender, EventArgs e)
		{
			if (this.OkButtonClick != null)
			{
				this.OkButtonClick(null, null);
			}
			try
			{
				base.FindForm();
			}
			catch (Exception ex)
			{
				string text = LocalizeForm.Localization.GetText("albl_Ok_failed");
				ErrorDialog.Show(string.Format("{0} {1}", text, "Error"), ex.Message, ErrorDialog.Severity.ERROR);
			}
		}

		// Token: 0x06000081 RID: 129 RVA: 0x00005BF8 File Offset: 0x00003DF8
		protected override void OnLoad(EventArgs e)
		{
			base.OnLoad(e);
			base.FindForm();
			if (!base.DesignMode)
			{
				LocalizeForm.Localization.Localize(this);
				this.LocalizeToolTips();
			}
		}

		// Token: 0x17000020 RID: 32
		// (get) Token: 0x06000082 RID: 130 RVA: 0x00005C34 File Offset: 0x00003E34
		// (set) Token: 0x06000083 RID: 131 RVA: 0x0000215E File Offset: 0x0000035E
		public static Model.Model Model
		{
			get;
			set;
		}

		// Token: 0x04000022 RID: 34
		private ToolTip buttonsToolTip;

		// Token: 0x04000023 RID: 35
		private CustomButton.CustomButton cancelButton;

		// Token: 0x04000024 RID: 36
		private IContainer components;

		// Token: 0x04000025 RID: 37
		private TableLayoutPanel generalTLP;

		// Token: 0x04000026 RID: 38
		private CustomButton.CustomButton okButton;
	}
}
